#ifndef __PRINTJETS_HH__
#define __PRINTJETS_HH__
#include "fastjet/PseudoJet.hh"
#include <vector>
#include <string>


using namespace std;
using namespace fastjet;


////////////////////////////////////////////////////////////////////////////////
// function printing 4-vector of all jets
void print_jets(const vector<PseudoJet>& jets) {
  printf("%4s %12s %9s %9s %10s\n", "No","pt","rapidity","phi","mass");
  string format;
  for (unsigned i=0;i<jets.size();i++) {
    format="%4d % 12.6f % 9.6f % 9.6f % 10.6f\n";
    if (jets[i].perp() < 1e-4)
        format="%4d % 12.6e % 9.6f % 9.6f % 10.6e\n";
    if (jets[i].perp() < 1e-9)
        format="%4d % 12.5e % 9.6f % 9.6f % 10.5e\n";
    if (jets[i].perp() < 1e-99)
        format="%4d % 12.4e % 9.6f % 9.6f % 10.5e\n";
    printf(format.c_str(), 
    i, jets[i].perp(), jets[i].rap(), jets[i].phi(), jets[i].m());
  }
}

#endif // __PRINTJETS_HH__
